#! /bin/bash

function oc {
    cfg="/root/security/kaas.kit.edu.kubeconfig"
    /usr/local/bin/oc --config "$cfg" "$@"
}


function gen {
    sites=$(oc get route --all-namespaces | grep -P "^(adei|katrin|status|web) | grep kaas.kit.edu" | awk '{ print $3 }' | cut -d '.' -f 1) # "

    for site in $sites; do
	adei=$(echo $site | grep -P "^adei-")
	
	url=""
	[ -n "$adei" ] && url="/adei"
	
	cat kaas-auto.template | sed -re "s|@name@|$site|g; s|@url@|$url|g"
    done
}

gen > kaas-auto.conf


